Get Components

Get Components

Fetch the components registered with SDDC LCM.

Request
URI
GET
https://vcf.broadcom.com/sddc-lcm/v1/components
COPY
Query Parameters
string
scope
Optional

Component scope to filter by.

Possible values are : FLEET, INSTANCE,

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Components of type(s) application/json
{
    "components": [
        {
            "componentType": "componentType",
            "deploymentType": "OVA",
            "nodes": [
                {
                    "size": "size",
                    "fqdn": "fqdn",
                    "ipAddress": "ipAddress",
                    "name": "name",
                    "id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
                    "nodeType": "nodeType",
                    "version": "version",
                    "status": "status"
                },
                {
                    "size": "size",
                    "fqdn": "fqdn",
                    "ipAddress": "ipAddress",
                    "name": "name",
                    "id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
                    "nodeType": "nodeType",
                    "version": "version",
                    "status": "status"
                }
            ],
            "size": "size",
            "fqdn": "fqdn",
            "scope": "FLEET",
            "certificate": "certificate",
            "vspCluster": {
                "fqdn": "fqdn",
                "certificate": "certificate",
                "id": "id",
                "type": "MANAGEMENT"
            },
            "vcenter": {
                "fqdn": "fqdn",
                "sslThumbprint": "sslThumbprint",
                "id": "id"
            },
            "id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
            "version": "version"
        },
        {
            "componentType": "componentType",
            "deploymentType": "OVA",
            "nodes": [
                {
                    "size": "size",
                    "fqdn": "fqdn",
                    "ipAddress": "ipAddress",
                    "name": "name",
                    "id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
                    "nodeType": "nodeType",
                    "version": "version",
                    "status": "status"
                },
                {
                    "size": "size",
                    "fqdn": "fqdn",
                    "ipAddress": "ipAddress",
                    "name": "name",
                    "id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
                    "nodeType": "nodeType",
                    "version": "version",
                    "status": "status"
                }
            ],
            "size": "size",
            "fqdn": "fqdn",
            "scope": "FLEET",
            "certificate": "certificate",
            "vspCluster": {
                "fqdn": "fqdn",
                "certificate": "certificate",
                "id": "id",
                "type": "MANAGEMENT"
            },
            "vcenter": {
                "fqdn": "fqdn",
                "sslThumbprint": "sslThumbprint",
                "id": "id"
            },
            "id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
            "version": "version"
        }
    ]
}
array of object
components
Optional

Installed Component subject to lifecycle.


401

Unauthorized

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


500

Internal server error

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sddc-lcm/v1/components